import greenfoot.*;  // (World, Actor, GreenfootImage, and Greenfoot)
import java.awt.Color;
import java.awt.Font;
import java.util.Calendar;

/**
 * The BeginMessage is just the Let's Play Pop Up.
 * 
 * @author M Kolling edited by Shondel Archer
 * @version 1.0
 */
public class BeginMessage extends Actor
{
    public static final float FONT_SIZE = 48.0f;
    public static final int WIDTH = 400;
    public static final int HEIGHT = 300;
    private int timer2=5;

     /**
     * Create a message pop up.
     */
    public BeginMessage()
    {
        makeImage("Let's Play", "Whack-A-Mole!");
    }
    
    /**
     * Act - do whatever the BeginMessage wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act()
    {
        message();
    }
    
    /**
     * Message pops up and stays up for a second.
     */
    public void message()
    {
        if (timer2 > 0) 
        {
            timer2--;
            
            if(timer2 == 3)
            {
                getWorld().removeObject(this);
            }
        }
    }
    
    /**
     * Make the message image.
     */
    private void makeImage(String title, String prefix)
    {
        GreenfootImage image = new GreenfootImage(WIDTH, HEIGHT);

        image.setColor(new Color(255,255,255, 128));
        image.fillRect(0, 0, WIDTH, HEIGHT);
        image.setColor(new Color(0, 0, 0, 128));
        image.fillRect(5, 5, WIDTH-10, HEIGHT-10);
        Font font = image.getFont();
        font = font.deriveFont(FONT_SIZE);
        image.setFont(font);
        image.setColor(Color.WHITE);
        image.drawString(title, 105, 100);
        image.drawString(prefix, 35, 200);
        setImage(image);
    }
    
}
