import greenfoot.*;  // (World, Actor, GreenfootImage, and Greenfoot)

/**
 * A world where moles live.
 * 
 * @author Shondel Archer
 * @version 1.0
 */
public class MoleWorld extends World
{
    
    /**
     * Creates a new world with 2 moles and a hammer.
     * The speed is set, and the score and pop up message
     * are added.
     */
    public MoleWorld()
    {    
        
        //Creates a new world with 3x3 cells and a cell size of 150x150 pixels.
        super(3, 3, 150);

        setBackground("background.png");
        
        Greenfoot.setSpeed(22);
       
        addObject(new Runner(),getWidth()/2, getHeight()/2);

    }
    
     /**
     * Starts the game.
     */
    public void startGame()
    {
        Greenfoot.playSound("play.wav");
        addObject(new Hammer(), 1, 1);
        addObject(new RandomMole(), 0, 0);
        addObject(new RandomMole(), 2, 2);
        addObject(new BeginMessage(), getWidth()/2, getHeight()/2);
        Greenfoot.start();
    }
}
