import greenfoot.*;  // (World, Actor, GreenfootImage, and Greenfoot)

import java.util.Random;
/**
 * RandomMoles are the animals that moves randomly that you are trying to hit.
 * 
 * @author Shondel Archer   
 * @version 1.0
 */
public class RandomMole extends Actors
{

    private Random rand = new Random();
    private int xRand, yRand;
    private int timer;
    private GreenfootImage[] images;
    private int noOfImages = 2;
    private int currentImage = 0;
    private int moleTimer=103;
    private int moles;
    private int maxMoles = 8;
    
    /**
     * Constructor - creates the timer and makes the mole 
     * animated.
     */
    public RandomMole()
    {

        timer=0;
        images = new GreenfootImage[noOfImages];
        for(int i=0; i < noOfImages; i++) 
        {
            images[i] = new GreenfootImage("Rufus" + i + ".png");
        }
        setImage(images[currentImage]);
           
    }
    
    /**
     * Act - do whatever the RandomMole wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act()
    {
        super.act();
        currentImage = (currentImage + 1) % images.length;
        setImage(images[currentImage]);
        
        addMole();
        bonkIfHit();
    }
    
    /**
     * Moves the mole randomly.
     */
    public void move()
    {
        
        if(timer<2)
        {
            timer++;
            return;
        }
        else
        {
            timer=0;
        }
        
        xRand = rand.nextInt(3);
        yRand = rand.nextInt(3);
        
        if(!canMove())
        {
            return;
        }
        
        setLocation(xRand, yRand);
        
    }
    
    /**
     * Adds moles to the world randomlly in random places.
     */
    public void addMole()
    {
        moles = getWorld().numberOfObjects();
        
        if(moles < maxMoles) 
        {
            if(Greenfoot.getRandomNumber(150) < 65) 
            {            
                getWorld().addObject(new RandomMole(), Greenfoot.getRandomNumber(2), Greenfoot.getRandomNumber(2));
            }
        }
        else
        {
            return;
        }
    }
    
    public void bonkIfHit()
    {
        if(this.getOneIntersectingObject(Hammer.class) != null)
        {
            setImage("Bonk.PNG");
        }
    }
}
